import request from '@/apis/request.js'
const { get, post } = request

export const getOrderOtherTime = (data) => {
  return post('nakadai/nakadai/orderOther/getOrderOtherTime', data)
}

export const add = (data) => {
  return post('nakadai/nakadai/order/add', data)
}

export const update = (data) => {
  return post('nakadai/nakadai/order/update', data)
}

export const getDetail = (data) => {
  return get('nakadai/nakadai/order/get', data)
}

export const renew = (data) => {
  return post('nakadai/nakadai/orderOther/renew', data)
}

export const list = (data) => {
  return post('nakadai/nakadai/applets/order/orderList', data)
}

export const orderList = (data) => {
  return post('nakadai/nakadai/order/list', data)
}

export const del = (data) => {
  return post('nakadai/nakadai/order/delete', data)
}

export const miniProgramOrderRecord = (data) => {
  return post('nakadai/nakadai/applets/order/miniProgramOrderRecord', data)
}

export const queryCitySettlementPrice = (mallId, provinceId, cityId) => {
  return post(`nakadai/mallPrice/queryCitySettlementPrice?mallId=${mallId}&provinceId=${provinceId}&cityId=${cityId}`)
}