import request from '@/apis/request.js'
const { get, post } = request

export const savePartnerAccount = (data) => {
  return post('nakadai/nakadai/partnerAccount/savePartnerAccount', data)
}

export const teamList = (data) => {
  return post('nakadai/nakadai/partnerAccount/partnerAccountList', data)
}

export const generateInvitationCode = accountId => {
  return post(`nakadai/nakadai/partnerAccount/generateInvitationCode?accountId=${accountId}`)
}

export const treeList = (data) => {
  return post('nakadai/nakadai/partnerClassification/treeList', data)
}

export const my = (data) => {
  return get('nakadai/nakadai/partner-team/my', data)
}

export const mailFileSend = (data) => {
  return post('nakadai/nakadai/partnerAccount/mailFileSend', data)
}

export const salesProgress = data => {
  return post(`nakadai/nakadai/applets/partner/salesProgress`, data)
}

export const annualOperatingAnalysis = data => {
  return post(`nakadai/nakadai/applets/partner/annualOperatingAnalysis`, data)
}

export const editProvinceCity = data => {
  return post(`nakadai/nakadai/partner-team/editProvinceCity`, data)
}

export const getPartnerTeamRates = data => {
  return post(`nakadai/nakadai/partner-team/getPartnerTeamRates`, data)
}