import request from '@/apis/request.js'
const { get, post } = request

export const AppletsDataProductList = (data) => {
  return post('nakadai/nakadai/dataProduct/AppletsDataProductList', data)
}

export const tagsList = () => {
  return get('nakadai/tags/tagsList')
}

export const listOfGoods = (data) => {
  return post('nakadai/mall/listOfGoods', data)
}

export const detailsOfGoods = (id) => {
  return get('nakadai/mall/detailsOfGoods?mallId=' + id)
}

export const productCategoryList = () => {
  return get('nakadai/productClassification/productCategoryList')
}

export const productTypeList = () => {
  return get('nakadai/productType/productTypeList')
}

export const addToShoppingCart = (data) => {
  return post('nakadai/mini/program/shopping/cart/addToShoppingCart', data)
}

export const delCart = (data) => {
  return post('nakadai/mini/program/shopping/cart/batchDeletion', data)
}

export const shoppingCartList = (data) => {
  return post('nakadai/mini/program/shopping/cart/shoppingCartList', data)
}

export const courseDiscipline = () => {
  return get('nakadai/nakadai/subject/courseDiscipline')
}

export const courseProfessionalClass = id => {
  return get('nakadai/nakadai/subject/courseProfessionalClass?disciplineId=' + id)
}

export const courseProfessional = id => {
  return get('nakadai/nakadai/subject/courseProfessional?professionalClassId=' + id)
}