
// #ifndef VUE3
import Vue from 'vue'
import App from './App'
import util from '@/libs/util'
import uma from './libs/uma'
import share from './libs/share'
import mtjWxSdk from './libs/mtj-wx-sdk'

Vue.config.productionTip = false
Vue.prototype.$util = util
Vue.use(uma)
Vue.mixin(share)

App.mpType = 'app'

// 权限控制
Vue.prototype.auth = function(text){
	const auth = uni.getStorageSync('auth')
	if (text && auth && auth.length) {
	    const isPermission = auth.includes(text)
	    return auth.includes(text)
	}
	// return true
}

const app = new Vue({
    ...App,
	share
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
import App from './App.vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif