import request from '@/apis/request.js'
const { get, post } = request

export const partnerOperatingList = (data) => {
  return post('nakadai/nakadai/partner/article/management/partnerOperatingList', data)
}

export const findById = id => {
  return post('nakadai/nakadai/applets/partner/browse?contentId=' + id)
}

export const queryClassificationByType = id => {
  return post('nakadai/nakadai/partner/article/classification/queryClassificationByType?typeId=' + id)
}

export const schemeList = data => {
  return post('nakadai/nakadai/partner/schemeManagement/schemeList', data)
}

export const schemeFindById = id => {
  return post('nakadai/nakadai/partner/schemeManagement/findById?id=' + id)
}

export const collectCourse = (id, state) => {
  return post('nakadai/nakadai/partner/article/management/collectCourse?contentId=' + id + '&state=' + state)
}