import request from '@/apis/request.js'
const { get, post } = request

export const queryCustomer = (data) => {
  return post('nakadai/nakadai/customer/queryCustomer', data)
}

export const list = (data) => {
  return post('nakadai/nakadai/applets/customer/getCustomerListBasedOnBusinessManagerId', data)
}

export const all = (data) => {
  return post('nakadai/nakadai/applets/customer/customerList', data)
}

export const queryCustomerDetails = (data) => {
  return get('nakadai/nakadai/customer/queryCustomerDetails', data)
}

export const querySchool = (data) => {
  return get('nakadai/nakadai/school/querySchool', data)
}

export const queryIndustryClass = (data) => {
  return get('nakadai/nakadai/hrIndustryClass/queryIndustryClass', data)
}

export const queryIndustry = (data) => {
  return get('nakadai/nakadai/hrIndustry/queryIndustry', data)
}

export const queryCustomerIsExists = (data) => {
  return get('nakadai/nakadai/customer/queryCustomerIsExists', data)
}

export const addCustomer = (data) => {
  return post('nakadai/nakadai/customer/addCustomer', data)
}

export const updateCustomer = (data) => {
  return post('nakadai/nakadai/customer/updateCustomer', data)
}

export const getProductsSubscribedByCustomers = (data) => {
  return get('nakadai/nakadai/customer/getProductsSubscribedByCustomers', data)
}

export const getTeamsByAccountId = (data) => {
  return post('nakadai/nakadai/applets/customer/getTeamsByAccountId', data)
}

export const getTheBusinessManagerIdsUnderTheTeam = id => {
  return post(`nakadai/nakadai/applets/customer/getTheBusinessManagerIdsUnderTheTeam?id=${id}`)
}