/**
 * @file 百度移动统计配置文件
 */

module.exports = {
    /**
     * 从百度移动统计获取的AppKey
     * @type {string}
     */
    appKey: 'ce2fa79380',

    /**
     * 是否使用了插件
     * @type {boolean}
     */
    hasPlugin: false,

    /**
     * 是否获取当前的地理位置和速度信息
     * @type {boolean}
     */
    getLocation: false,

    /**
     * 是否获取组件滚动信息
     * @type {boolean}
     */
    getComponentScroll: false,
    /**
     * 是否开启了A/B 测试
     * @type {boolean}
     */
    hasABTest: false,
    /**
     * 是否开启热力图功能
     * @type {boolean}
     */
    hasHeatmap: false,
};
